### Signal

# Qmi ClientVoice::supplementary-service

since: 1.30

#### Declaration

    void
    supplementary_service (
      QmiClientVoice* self,
      QmiIndicationVoiceSupplementaryServiceOutput* output,
      gpointer user_data
    )

#### Description [src]

The ::supplementary-service signal gets emitted when a ‘Supplementary Service‘ indication is received.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1.30

#### Parameters

`output`

  Type: `QmiIndicationVoiceSupplementaryServiceOutput`

  A `QmiIndicationVoiceSupplementaryServiceOutput`.

  The data is owned by the caller of the function.